Creates a new user_skill_list object

Request Information

URI Parameters :

None.

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d5499682-2de2-4663-b5da-7da99e8f40ba",
  "user_id": "f3a34572-f79e-4546-be15-00c80677c044",
  "user_code": "sample string 3",
  "user": {
    "id": "901bf42d-a92c-4005-94f4-be17005d5af8",
    "db_language_id": "e5057c44-f826-4e08-8033-7e62141f663a",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-07-14T00:47:52.6909524+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "b3ff4312-f921-4dff-8d56-7d16b7630c94",
    "sales_organization": {
      "id": "e66318b4-8346-4d94-aa41-f76585165fe1",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "f760a2a9-bb0e-4de6-ab52-b6c8ed43e198",
      "db_currency_id": "d662a163-e0d1-482f-b237-eef950512620",
      "db_language_id": "748fe671-6fed-421d-82bf-9495cff400fd",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-07-14T00:47:52.6909524+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "9b627f8b-32c6-4116-adff-4e311462ca47",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "ddda9ab8-1222-43c7-af7c-9c2ea9bdb19f",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-07-14T00:47:52.6909524+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "76c2acbf-8405-4b66-b42b-efbeaeae7161"
  },
  "skill_id": "b2c81611-4c70-41cb-8ebd-5f4b71967c4b",
  "skill_code": "sample string 5",
  "skill": {
    "id": "a3055961-3d68-43cf-a0b9-8bf33ba09006",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "0de351fc-1f29-4c2d-b84e-ebd53ae438aa",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "e66318b4-8346-4d94-aa41-f76585165fe1",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "f760a2a9-bb0e-4de6-ab52-b6c8ed43e198",
      "db_currency_id": "d662a163-e0d1-482f-b237-eef950512620",
      "db_language_id": "748fe671-6fed-421d-82bf-9495cff400fd",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-07-14T00:47:52.6909524+00:00"
    },
    "modified_dateutc": "2026-07-14T00:47:52.6909524+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-07-14T00:47:52.6909524+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.